%define nam	ucd-snmp
%define ver	4.2.5
%define rel	1ml

Summary: A collection of SNMP protocol tools.
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: System Environment/Daemons
License: BSD
Source0: ftp://ftp.net-snmp.org/pub/sourceforge/net-snmp/ucd-snmp-%{version}.tar.gz
Source1: ucd-snmpd.init
Source2: ucd-snmp.distributor.conf
Source3: ucd-snmpd.logrotate
Source4: ucd5820stat
Source6: filter-requires-ucd-snmp.sh
Patch1: ucd-snmp-4.2-ia64.patch
Patch2: ucd-snmp-4.2.1-manpage.patch
Patch3: ucd-snmp-4.2.1-security3.patch
Patch4: ucd-snmp-4.2.1-tests_num.patch
Patch6: ucd-snmp-4.2.1-libtool.patch
Patch7: ucd-snmp-4.2.4.pre3-nodb.patch
Patch8: ucd-snmp-4.2.4.pre3-mnttab.patch
Serial: 2002061101
Prereq: /sbin/chkconfig openssl
Obsoletes: cmu-snmp
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://net-snmp.sourceforge.net
BuildRequires: tcp_wrappers-devel openssl-devel
#NoSource: 0

%define __libtoolize /bin/true
%{expand: %%define _includedir	%{_includedir}/%{name}}
%{!?_initrddir:%define _initrddir /etc/rc.d/init.d}

%description
SNMP (Simple Network Management Protocol) is a protocol used for
network management (hence the name).  The UCD-SNMP project includes
various SNMP tools: an extensible agent, an SNMP library, tools for
requesting or setting information from SNMP agents, tools for
generating and handling SNMP traps, a version of the netstat command
which uses SNMP, and a Tk/Perl mib browser.  This package contains the
snmpd and snmptrapd daemons, documentation, etc.

Install the ucd-snmp package if you need network management tools.
You will probably also want to install the ucd-snmp-utils package,
which contains UCD-SNMP utilities.

%package utils
Group: Applications/System
Summary: Network management utilities using SNMP, from the UCD-SNMP project.
Requires: ucd-snmp = %{version}
Obsoletes: cmu-snmp-utils

%description utils
The ucd-snmp package contains various utilities for use with the
UCD-SNMP network management project.

Install this package if you need utilities for managing your network
using the SNMP protocol.  You'll also need to install the ucd-snmp
package.

%package devel
Group: Development/Libraries
Summary: The development environment for the UCD-SNMP project.
Requires: ucd-snmp = %{version}
Obsoletes: cmu-snmp-devel

%description devel
The ucd-snmp-devel package contains the development libraries and
header files for use with the UCD-SNMP project's network management
tools.

Install the ucd-snmp-devel package if you would like to develop
applications for use with the UCD-SNMP project's network management
tools. You'll also need to have the ucd-snmp and ucd-snmp-utils
packages installed.

%prep
%setup -q
%patch1 -p1 -b .ia63
%patch2 -p1 -b .manpage
%patch3 -p1 -b .security3
%patch4 -p1 -b .tests_num
%patch6 -p1 -b .libtool
%patch7 -p1 -b .nodb
%patch8 -p1 -b .mnttab

%build
autoreconf

# First build the static library
# XXX remove privacy support?
%configure \
        --disable-privacy \
	--enable-static --enable-shared			\
	--with-cflags="$RPM_OPT_FLAGS"			\
	--with-sys-location="Unknown"			\
	--with-logfile="/var/log/snmpd.log"		\
	--with-persistent-directory="/var/ucd-snmp"	\
	--with-mib-modules="host"			\
	--with-libwrap					\
	--sysconfdir=%{_sysconfdir}			\
	--with-sys-contact="root@localhost"

make

%install
rm -rf ${RPM_BUILD_ROOT}
export LTCONFIG_VERSION=1.3.5
# 2/15/2001 NONAKA Akira
# cannot use %makeinstall macro on Miracle Linux 1.1
#%makeinstall
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=${RPM_BUILD_ROOT}%{_mandir} \
	bindir=${RPM_BUILD_ROOT}%{_bindir} \
	sbindir=${RPM_BUILD_ROOT}%{_sbindir} \
	libdir=${RPM_BUILD_ROOT}%{_libdir} \
	install
unset LTCONFIG_VERSION

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/snmp
install -m 644 %SOURCE2 ${RPM_BUILD_ROOT}%{_sysconfdir}/snmp/snmpd.conf

install -d ${RPM_BUILD_ROOT}%{_initrddir}
install -m 755 %SOURCE1 ${RPM_BUILD_ROOT}/%{_initrddir}/snmpd

install -m 755 %SOURCE4 ${RPM_BUILD_ROOT}%{_bindir}/ucd5820stat

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/snmpd



%post
/sbin/ldconfig
if [ "$1" = "1" ]; then
  /sbin/chkconfig --del snmpd
fi

%preun
if [ "$1" = "0" ]; then
   service snmpd stop >/dev/null 2>&1
   /sbin/chkconfig --del snmpd
fi

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
    service snmpd condrestart >/dev/null 2>&1 || :
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc	AGENT.txt COPYING ChangeLog EXAMPLE.conf FAQ NEWS PORTING README* TODO
%doc	local/passtest local/README.mib2c local/ipf-mod.pl
%dir	%{_sysconfdir}/snmp
%config(noreplace,missingok) %{_sysconfdir}/snmp/snmpd.conf
%config(noreplace) %{_initrddir}/snmpd
%dir	%{_datadir}/snmp
%dir	%{_datadir}/snmp/mibs
%attr(0644,root,root)	%{_datadir}/snmp/mibs/*
%dir    %{_datadir}/snmp/snmpconf
%dir    %{_datadir}/snmp/snmpconf/snmp.conf
%dir    %{_datadir}/snmp/snmpconf/snmpd.conf
%attr(0644,root,root)   %{_datadir}/snmp/snmpconf/snmp.conf/*
%attr(0644,root,root)   %{_datadir}/snmp/snmpconf/snmpd.conf/*
%{_libdir}/libsnmp.so.*
%{_libdir}/libucdagent.so.*
%{_libdir}/libucdmibs.so.*

%{_bindir}/ucd5820stat

%{_sbindir}/snmpd

%attr(0644,root,root)	%{_mandir}/man1/snmpd.1*
%attr(0644,root,root)	%{_mandir}/man[58]/*

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%attr(0644,root,root)	%{_mandir}/man1/snmpbulkwalk.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpbulkget.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpcmd.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpdelta.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpdf.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpget.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpgetnext.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpinform.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpnetstat.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpset.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpstatus.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptable.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptest.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptranslate.1*
%attr(0644,root,root)	%{_mandir}/man1/snmptrap.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpusm.1*
%attr(0644,root,root)	%{_mandir}/man1/snmpwalk.1*

%files devel
%defattr(0644,root,root,0755)
%{_libdir}/libsnmp.so
%{_libdir}/libsnmp.a
%{_libdir}/libsnmp.la
%{_libdir}/libucdagent.so
%{_libdir}/libucdagent.a
%{_libdir}/libucdagent.la
%{_libdir}/libucdmibs.so
%{_libdir}/libucdmibs.a
%{_libdir}/libucdmibs.la

%{_includedir}
%attr(0644,root,root)	%{_mandir}/man3/*

%changelog
* Thu Jun 27 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- ungrade to 4.2.5

* Tue Jun 11 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- Change initscript use setsid

* Wed Feb 15 2002 NONAKA Akira <anonaka@miraclelinux.com>
- Not use %makeinstall for Miracle Linux 1.1

* Wed Feb 13 2002 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp>
- updated to 4.2.3
- applied snmpnetstat.patch from RH

* Tue Aug 7 2001 TAKEDA Hirofumi <takepin@turbolinux.co.jp>
- fixed files section

* Tue Jul 26 2001 TAKEDA Hirofumi <takepin@turbolinux.co.jp>
- added runlevel at chkconfig: in init script

* Thu Jul 12 2001 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- added securlevel in init file defined 10
- fiexed files section

* Fri Jun 22 2001 TAKEDA Hirofumi <takepin@turbolinux.co.jp>
- fixed against gcc-3.0

* Wed May 15 2001 Bob Frey <bfrey@turbolinux.com>
- Change SPEC file for Centro and add S/390 configuration patch.

* Fri Apr 27 2001 Wes Hardaker <hardaker@users.sourceforge.net>
- Change function file reference in init script to proper path.

* Wed Apr  4 2001 Wes Hardaker <hardaker@users.sourceforge.net>
- package 4.2.1

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Mon Feb 26 2001 Tim Powers <timp@redhat.com>
- fixed initscript, for reload and restart it was start then stop,
  fixed. (#28477)

* Fri Feb  2 2001 Trond Eivind Glomsr.ANxd <teg@redhat.com>*B
- i18nize initscript

* Sat Jan  6 2001 Jeff Johnson <jbj@redhat.com>
- don't depend on /etc/init.d so that package will work with 6.2.
- perl path fiddles no longer needed.
- rely on brp-compress frpm rpm to compress man pages.
- patch from ucd-snmp CVS (Wes Hardaker).
- configure.in needs to check for rpm libraries correctly (#23033).
- add simple logrotate script (#21399).
- add options to create pidfile and log with syslog with addresses (#23476).

* Sat Dec 30 2000 Jeff Johnson <jbj@redhat.com>
- package for Red Hat 7.1.

* Thu Dec 07 2000 Wes Hardaker <hardaker@users.sourceforge.net>
- update for 4.2

* Thu Oct 12 2000 Jeff Johnson <jbj@redhat.com>
- add explicit format for syslog call (#18153).

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild per Trond's request.

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error that crept in with condrestart

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript and add condrestart magic

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- fix %%attr on man pages

* Mon Jun 12 2000 Jeff Johnson <jbj@redhat.com>
- tkmib doco had #!/usr/bin/perl55
- include snmpcheck and tkmib again (still needs some CPAN module, however).

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- update to 4.1.2.
- FHS packaging.
- patch for rpm 4.0.

* Thu May 18 2000 Trond Eivind Glomsr.ANxd <teg@redhat.com>*B
- add version to buildroot
- rebuilt with new libraries

* Sun Feb 27 2000 Jeff Johnson <jbj@redhat.com>
- default config was broken (from Wes Hardaker) (#9752)

* Sun Feb 13 2000 Jeff Johnson <jbj@redhat.com>
- compressed man pages.

* Fri Feb 11 2000 Wes Hardaker <wjhardaker@ucdavis.edu>
- update to 4.1.1

* Sat Feb  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change %postun to %preun

* Thu Feb 3 2000 Elliot Lee <sopwith@redhat.com>
- Don't ship tkmib, since we don't ship the perl modules needed to run it.
(Bug #4881)

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- default config permits RO access to system group only (Wed Hardaker).

* Sun Aug 29 1999 Jeff Johnson <jbj@redhat.com>
- implement suggestions from Wes Hardaker.

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- stateless access to rpm database.

* Wed Aug 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.0.1.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.6.2 (#3219,#3259).
- add missing man pages (#3057).

* Thu Apr  8 1999 Wes Hardaker <wjhardaker@ucdavis.edu>
- fix Source0 location.
- fix the snmpd.conf file to use real community names.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.6.1, fix configuration file stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- restore host resources mib
- simplified config file
- rebuild for 6.0.

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- remove backup file to fix perl dependencies

* Tue Dec  8 1998 Jeff Johnson <jbj@redhat.com>
- add all relevant rpm scalars to host resources mib.

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- enable libwrap (#253)
- enable host module (rpm queries over SNMP!).

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.
